Loading DT@async

promises
dt
async

#1

Inside the Promises documentation, the suggested installation is this:

Installation

You can install both the promises package and an async-compatible version of Shiny (requires v1.1+) just by installing Shiny from CRAN:

install.packages("shiny")

There are also some supporting packages that have experimental async-compatible branches:

devtools::install_github("ramnathv/htmlwidgets")
devtools::install_github("ropensci/plotly@async")
devtools::install_github("rstudio/DT@async")

However, when I attempt to download DT@async, I am presented with a 404 error:

> devtools::install_github("rstudio/DT@async")
Downloading GitHub repo rstudio/DT@async
from URL https://api.github.com/repos/rstudio/DT/zipball/async
Installation failed: 404: Not Found
 (404)

I thought maybe that the DT@master had absorbed the async branch, but my app is returning the error

Error in datatable: 'data' must be 2-dimensional (e.g. data frame or matrix)

which indicates to me that I am missing something. Does anybody have information about the DT@async branch?


#2

That branch has been merged and deleted, and you can just devtools::install_github('rstudio/DT'). Thanks! (I'll ask @jcheng to update the doc.)